<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_65) on Wed Jun 25 14:23:49 JST 2014 -->
<TITLE>
org.apache.zookeeper
</TITLE>

<META NAME="date" CONTENT="2014-06-25">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">


</HEAD>

<BODY BGCOLOR="white">
<FONT size="+1" CLASS="FrameTitleFont">
<A HREF="../../../org/apache/zookeeper/package-summary.html" target="classFrame">org.apache.zookeeper</A></FONT>
<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Interfaces</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="AsyncCallback.html" title="interface in org.apache.zookeeper" target="classFrame"><I>AsyncCallback</I></A>
<BR>
<A HREF="AsyncCallback.ACLCallback.html" title="interface in org.apache.zookeeper" target="classFrame"><I>AsyncCallback.ACLCallback</I></A>
<BR>
<A HREF="AsyncCallback.Children2Callback.html" title="interface in org.apache.zookeeper" target="classFrame"><I>AsyncCallback.Children2Callback</I></A>
<BR>
<A HREF="AsyncCallback.ChildrenCallback.html" title="interface in org.apache.zookeeper" target="classFrame"><I>AsyncCallback.ChildrenCallback</I></A>
<BR>
<A HREF="AsyncCallback.DataCallback.html" title="interface in org.apache.zookeeper" target="classFrame"><I>AsyncCallback.DataCallback</I></A>
<BR>
<A HREF="AsyncCallback.StatCallback.html" title="interface in org.apache.zookeeper" target="classFrame"><I>AsyncCallback.StatCallback</I></A>
<BR>
<A HREF="AsyncCallback.StringCallback.html" title="interface in org.apache.zookeeper" target="classFrame"><I>AsyncCallback.StringCallback</I></A>
<BR>
<A HREF="AsyncCallback.VoidCallback.html" title="interface in org.apache.zookeeper" target="classFrame"><I>AsyncCallback.VoidCallback</I></A>
<BR>
<A HREF="ClientWatchManager.html" title="interface in org.apache.zookeeper" target="classFrame"><I>ClientWatchManager</I></A>
<BR>
<A HREF="KeeperException.CodeDeprecated.html" title="interface in org.apache.zookeeper" target="classFrame"><I>KeeperException.CodeDeprecated</I></A>
<BR>
<A HREF="Watcher.html" title="interface in org.apache.zookeeper" target="classFrame"><I>Watcher</I></A>
<BR>
<A HREF="Watcher.Event.html" title="interface in org.apache.zookeeper" target="classFrame"><I>Watcher.Event</I></A>
<BR>
<A HREF="ZooDefs.Ids.html" title="interface in org.apache.zookeeper" target="classFrame"><I>ZooDefs.Ids</I></A>
<BR>
<A HREF="ZooDefs.OpCode.html" title="interface in org.apache.zookeeper" target="classFrame"><I>ZooDefs.OpCode</I></A>
<BR>
<A HREF="ZooDefs.Perms.html" title="interface in org.apache.zookeeper" target="classFrame"><I>ZooDefs.Perms</I></A></FONT></TD>
</TR>
</TABLE>


<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Classes</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="ClientCnxn.html" title="class in org.apache.zookeeper" target="classFrame">ClientCnxn</A>
<BR>
<A HREF="ClientCnxnSocketNIO.html" title="class in org.apache.zookeeper" target="classFrame">ClientCnxnSocketNIO</A>
<BR>
<A HREF="Environment.html" title="class in org.apache.zookeeper" target="classFrame">Environment</A>
<BR>
<A HREF="Environment.Entry.html" title="class in org.apache.zookeeper" target="classFrame">Environment.Entry</A>
<BR>
<A HREF="Login.html" title="class in org.apache.zookeeper" target="classFrame">Login</A>
<BR>
<A HREF="MultiResponse.html" title="class in org.apache.zookeeper" target="classFrame">MultiResponse</A>
<BR>
<A HREF="MultiTransactionRecord.html" title="class in org.apache.zookeeper" target="classFrame">MultiTransactionRecord</A>
<BR>
<A HREF="Op.html" title="class in org.apache.zookeeper" target="classFrame">Op</A>
<BR>
<A HREF="Op.Check.html" title="class in org.apache.zookeeper" target="classFrame">Op.Check</A>
<BR>
<A HREF="Op.Create.html" title="class in org.apache.zookeeper" target="classFrame">Op.Create</A>
<BR>
<A HREF="Op.Delete.html" title="class in org.apache.zookeeper" target="classFrame">Op.Delete</A>
<BR>
<A HREF="Op.SetData.html" title="class in org.apache.zookeeper" target="classFrame">Op.SetData</A>
<BR>
<A HREF="OpResult.html" title="class in org.apache.zookeeper" target="classFrame">OpResult</A>
<BR>
<A HREF="OpResult.CheckResult.html" title="class in org.apache.zookeeper" target="classFrame">OpResult.CheckResult</A>
<BR>
<A HREF="OpResult.CreateResult.html" title="class in org.apache.zookeeper" target="classFrame">OpResult.CreateResult</A>
<BR>
<A HREF="OpResult.DeleteResult.html" title="class in org.apache.zookeeper" target="classFrame">OpResult.DeleteResult</A>
<BR>
<A HREF="OpResult.ErrorResult.html" title="class in org.apache.zookeeper" target="classFrame">OpResult.ErrorResult</A>
<BR>
<A HREF="OpResult.SetDataResult.html" title="class in org.apache.zookeeper" target="classFrame">OpResult.SetDataResult</A>
<BR>
<A HREF="Quotas.html" title="class in org.apache.zookeeper" target="classFrame">Quotas</A>
<BR>
<A HREF="ServerAdminClient.html" title="class in org.apache.zookeeper" target="classFrame">ServerAdminClient</A>
<BR>
<A HREF="Shell.html" title="class in org.apache.zookeeper" target="classFrame">Shell</A>
<BR>
<A HREF="Shell.ShellCommandExecutor.html" title="class in org.apache.zookeeper" target="classFrame">Shell.ShellCommandExecutor</A>
<BR>
<A HREF="StatsTrack.html" title="class in org.apache.zookeeper" target="classFrame">StatsTrack</A>
<BR>
<A HREF="Transaction.html" title="class in org.apache.zookeeper" target="classFrame">Transaction</A>
<BR>
<A HREF="Version.html" title="class in org.apache.zookeeper" target="classFrame">Version</A>
<BR>
<A HREF="WatchedEvent.html" title="class in org.apache.zookeeper" target="classFrame">WatchedEvent</A>
<BR>
<A HREF="ZKUtil.html" title="class in org.apache.zookeeper" target="classFrame">ZKUtil</A>
<BR>
<A HREF="ZooDefs.html" title="class in org.apache.zookeeper" target="classFrame">ZooDefs</A>
<BR>
<A HREF="ZooKeeper.html" title="class in org.apache.zookeeper" target="classFrame">ZooKeeper</A>
<BR>
<A HREF="ZooKeeperMain.html" title="class in org.apache.zookeeper" target="classFrame">ZooKeeperMain</A></FONT></TD>
</TR>
</TABLE>


<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Enums</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="CreateMode.html" title="enum in org.apache.zookeeper" target="classFrame">CreateMode</A>
<BR>
<A HREF="KeeperException.Code.html" title="enum in org.apache.zookeeper" target="classFrame">KeeperException.Code</A>
<BR>
<A HREF="Watcher.Event.EventType.html" title="enum in org.apache.zookeeper" target="classFrame">Watcher.Event.EventType</A>
<BR>
<A HREF="Watcher.Event.KeeperState.html" title="enum in org.apache.zookeeper" target="classFrame">Watcher.Event.KeeperState</A>
<BR>
<A HREF="ZooKeeper.States.html" title="enum in org.apache.zookeeper" target="classFrame">ZooKeeper.States</A></FONT></TD>
</TR>
</TABLE>


<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Exceptions</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="KeeperException.html" title="class in org.apache.zookeeper" target="classFrame">KeeperException</A>
<BR>
<A HREF="KeeperException.APIErrorException.html" title="class in org.apache.zookeeper" target="classFrame">KeeperException.APIErrorException</A>
<BR>
<A HREF="KeeperException.AuthFailedException.html" title="class in org.apache.zookeeper" target="classFrame">KeeperException.AuthFailedException</A>
<BR>
<A HREF="KeeperException.BadArgumentsException.html" title="class in org.apache.zookeeper" target="classFrame">KeeperException.BadArgumentsException</A>
<BR>
<A HREF="KeeperException.BadVersionException.html" title="class in org.apache.zookeeper" target="classFrame">KeeperException.BadVersionException</A>
<BR>
<A HREF="KeeperException.ConnectionLossException.html" title="class in org.apache.zookeeper" target="classFrame">KeeperException.ConnectionLossException</A>
<BR>
<A HREF="KeeperException.DataInconsistencyException.html" title="class in org.apache.zookeeper" target="classFrame">KeeperException.DataInconsistencyException</A>
<BR>
<A HREF="KeeperException.InvalidACLException.html" title="class in org.apache.zookeeper" target="classFrame">KeeperException.InvalidACLException</A>
<BR>
<A HREF="KeeperException.InvalidCallbackException.html" title="class in org.apache.zookeeper" target="classFrame">KeeperException.InvalidCallbackException</A>
<BR>
<A HREF="KeeperException.MarshallingErrorException.html" title="class in org.apache.zookeeper" target="classFrame">KeeperException.MarshallingErrorException</A>
<BR>
<A HREF="KeeperException.NoAuthException.html" title="class in org.apache.zookeeper" target="classFrame">KeeperException.NoAuthException</A>
<BR>
<A HREF="KeeperException.NoChildrenForEphemeralsException.html" title="class in org.apache.zookeeper" target="classFrame">KeeperException.NoChildrenForEphemeralsException</A>
<BR>
<A HREF="KeeperException.NodeExistsException.html" title="class in org.apache.zookeeper" target="classFrame">KeeperException.NodeExistsException</A>
<BR>
<A HREF="KeeperException.NoNodeException.html" title="class in org.apache.zookeeper" target="classFrame">KeeperException.NoNodeException</A>
<BR>
<A HREF="KeeperException.NotEmptyException.html" title="class in org.apache.zookeeper" target="classFrame">KeeperException.NotEmptyException</A>
<BR>
<A HREF="KeeperException.NotReadOnlyException.html" title="class in org.apache.zookeeper" target="classFrame">KeeperException.NotReadOnlyException</A>
<BR>
<A HREF="KeeperException.OperationTimeoutException.html" title="class in org.apache.zookeeper" target="classFrame">KeeperException.OperationTimeoutException</A>
<BR>
<A HREF="KeeperException.RuntimeInconsistencyException.html" title="class in org.apache.zookeeper" target="classFrame">KeeperException.RuntimeInconsistencyException</A>
<BR>
<A HREF="KeeperException.SessionExpiredException.html" title="class in org.apache.zookeeper" target="classFrame">KeeperException.SessionExpiredException</A>
<BR>
<A HREF="KeeperException.SessionMovedException.html" title="class in org.apache.zookeeper" target="classFrame">KeeperException.SessionMovedException</A>
<BR>
<A HREF="KeeperException.SystemErrorException.html" title="class in org.apache.zookeeper" target="classFrame">KeeperException.SystemErrorException</A>
<BR>
<A HREF="KeeperException.UnimplementedException.html" title="class in org.apache.zookeeper" target="classFrame">KeeperException.UnimplementedException</A>
<BR>
<A HREF="Shell.ExitCodeException.html" title="class in org.apache.zookeeper" target="classFrame">Shell.ExitCodeException</A></FONT></TD>
</TR>
</TABLE>


</BODY>
</HTML>
